Linux Kernel SO_SNDBUFFORCE Privilege Escalation Exploit

This module exploits a signedness issue in the Linux Kernel. The sock_setsockopt function in net/core/sock.c in the Linux kernel before 4.8.14 mishandles negative values of sk_sndbuf and sk_rcvbuf, which allows local users to escalate privileges.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2016-9793
Product Version: 
38
Released Date: 
Wednesday, June 21, 2017 - 19:00